#pragma once

#include "RESOURCE_COMMON.h"

void resource_sound_state_free(Resources* self, const SoundType* types, u32 count);
void resource_sound_state_init(Resources* self, const SoundType* types, u32 count);
void resource_sound_free(Resources* self, SoundType type);
bool resource_sound_init(Resources* self, SoundType type);
